- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- CloneMontageInfo
- DestroyMontageInfo
- GetMontageInfo
- MontageImages

# NAME

montage - Create a thumbnail image mosaic

# SYNOPSIS

MontageInfo * CloneMontageInfo( const ImageInfo *image_info, const MontageInfo *montage_info );

void DestroyMontageInfo( MontageInfo *montage_info );

void GetMontageInfo( const ImageInfo *image_info, MontageInfo *montage_info );

Image * MontageImages( const Image *images, const MontageInfo *montage_info, ExceptionInfo *exception );

# FUNCTION DESCRIPTIONS

## CloneMontageInfo

> CloneMontageInfo() makes a copy of the given montage info structure. If NULL is specified, a new image info structure is created initialized to default values.

The format of the CloneMontageInfo method is:

> MontageInfo *CloneMontageInfo ( const ImageInfo *image_info, const MontageInfo *montage_info );

A description of each parameter follows:

image_info:

  The image info.

montage_info:

  The montage info.

## DestroyMontageInfo

> DestroyMontageInfo() deallocates memory associated with montage_info.

The format of the DestroyMontageInfo method is:

> void DestroyMontageInfo ( MontageInfo *montage_info );

A description of each parameter follows:

montage_info:

  Specifies a pointer to an MontageInfo structure.

## GetMontageInfo

> GetMontageInfo() initializes montage_info to default values.

The format of the GetMontageInfo method is:

> void GetMontageInfo ( const ImageInfo *image_info, MontageInfo *montage_info );

A description of each parameter follows:

image_info:

  a structure of type ImageInfo.

montage_info:

  Specifies a pointer to a MontageInfo structure.

## MontageImages

`Montageimages()` is a layout manager that lets you tile one or more thumbnails across an image canvas.

The format of the MontageImages method is:

> Image *MontageImages ( const Image *images, const MontageInfo *montage_info, ExceptionInfo *exception );

A description of each parameter follows:

images:

  Specifies a pointer to an array of Image structures.

montage_info:

  Specifies a pointer to a MontageInfo structure.

exception:

  Return any errors or warnings in this structure.